# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.72"
name = "r2x-logger"
version = "0.1.1"
authors = [
    "pesap <pesap@users.noreply.github.com>",
    "Micah Webb <micahpw@users.noreply.github.com>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Logging utilities for the r2x CLI"
homepage = "https://github.com/NatLabRockies/r2x-cli"
documentation = "https://docs.rs/r2x"
readme = false
license = "BSD-3-Clause"
repository = "https://github.com/NatLabRockies/r2x-cli"

[lib]
name = "r2x_logger"
path = "src/lib.rs"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.colored]
version = "3.0"

[dependencies.dirs]
version = "6.0"

[dependencies.indicatif]
version = "0.18"

[lints.clippy]
allow_attributes = "deny"
case_sensitive_file_extension_comparisons = "allow"
cast_lossless = "allow"
cast_possible_truncation = "allow"
cast_possible_wrap = "allow"
cast_precision_loss = "allow"
cast_sign_loss = "allow"
dbg_macro = "deny"
default_trait_access = "allow"
doc_markdown = "allow"
expect_used = "deny"
fn_params_excessive_bools = "allow"
format_push_string = "allow"
items_after_statements = "allow"
manual_let_else = "allow"
match_same_arms = "allow"
missing_errors_doc = "allow"
missing_panics_doc = "allow"
module_name_repetitions = "allow"
must_use_candidate = "allow"
needless_pass_by_value = "allow"
no_effect_underscore_binding = "allow"
panic = "warn"
pub_use = "warn"
redundant_closure_for_method_calls = "allow"
ref_option_ref = "allow"
result_large_err = "allow"
return_self_not_must_use = "allow"
similar_names = "allow"
struct_excessive_bools = "allow"
todo = "deny"
too_many_lines = "allow"
trivially_copy_pass_by_ref = "allow"
unimplemented = "deny"
uninlined_format_args = "allow"
unnecessary_wraps = "allow"
unused_async = "allow"
unwrap_used = "deny"
used_underscore_binding = "allow"

[lints.clippy.pedantic]
level = "warn"
priority = -1

[lints.rust]
unsafe_code = "forbid"
warnings = "deny"
